Xalan-Java 2.7.1: Class CachedNodeListIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class CachedNodeListIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.CachedNodeListIterator

public final class CachedNodeListIterator
extends DTMAxisIteratorBase

CachedNodeListIterator is used for select expressions in a variable or parameter. This iterator caches all nodes in an IntegerArray. Its cloneIterator() method is overridden to return an object of ClonedNodeListIterator.

Constructor Summary
`CachedNodeListIterator(DTMAxisIterator source)`

Method Summary
`DTMAxisIterator` | `cloneIterator()`
`int` | `getNode(int index)`
`int` | `getNodeByPosition(int pos)`
`int` | `getPosition()`
`void` | `gotoMark()`
`int` | `next()`
`DTMAxisIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`DTMAxisIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedNodeListIterator

    public CachedNodeListIterator(DTMAxisIterator source)

Method Detail

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class DTMAxisIteratorBase

### setStartNode

    public DTMAxisIterator setStartNode(int node)

### next

    public int next()

### getPosition

    public int getPosition()

  Overrides:
    getPosition in class DTMAxisIteratorBase

### getNodeByPosition

    public int getNodeByPosition(int pos)

  Overrides:
    getNodeByPosition in class DTMAxisIteratorBase

### getNode

    public int getNode(int index)

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### reset

    public DTMAxisIterator reset()

  Overrides:
    reset in class DTMAxisIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.